<!DOCTYPE html>
<html>

<head>
     <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>@yield('title')</title>
    <!-- plugins:css -->
    <link rel="stylesheet" href="{{asset('assets/vendors/mdi/css/materialdesignicons.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/vendors/css/vendor.bundle.base.css')}}">
    <!-- endinject -->
    <!-- Plugin css for this page -->
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <!-- endinject -->
    <!-- Layout styles -->
    <link rel="stylesheet" href="{{asset('assets/css/style.css')}}">
    <!-- End layout styles -->
    <link rel="shortcut icon" href="{{asset('assets/images/favicon.ico')}}" />

    {{-- On Page Style --}}
    <style>
        div#preloader {
            position: fixed;
            left: 0;
            top: 0;
            z-index: 999;
            width: 100%;
            height: 100%;
            overflow: visible;
            background: #white url({{ asset('resources/img/Ripple-2s-98px.svg') }}) no-repeat center center;
        }

        /*-- Loader Code --*/
    </style>

    {{-- Extended Layouts Pages Style Goes Here --}}
    @yield('styles')

</head>

<body>

    {{-- Loader --}}

    <div id="preloader"></div>
    {{-- End Loader --}}


    {{-- Admin Header Component --}}
    
    <div class="container-scroller">

    <x-header></x-header>
    {{-- End  Admin Header Component --}}


   <div class="container-fluid page-body-wrapper">


        {{-- Sidebar Component --}}

        <x-sidebar></x-sidebar>
        {{-- End  Sidebar Component --}}



        <!-- partial -->
        <div class="main-panel">
            
            <div class="content-wrapper">
            

            {{-- Individual Page Heading --}}

           <div class="page-header">
               
              <h3 class="page-title">
                <span class="page-title-icon bg-gradient-primary text-white me-2">
                  <i class="mdi mdi-home"></i>
                </span> @yield('page-heading')
              </h3>
              
            </div>

            {{-- Individual Page Heading --}}
            
           

            {{-- - Main Content - --}}

            @yield('content')

            {{-- End Main Content --}}


        </div>
          <!-- content-wrapper ends -->

            {{-- Footer --}}

            <!-- partial:partials/_footer.html -->
          <footer class="footer">
            <div class="container-fluid d-flex justify-content-between">
              <span class="text-muted d-block text-center text-sm-start d-sm-inline-block">Copyright © Rapidev.tech 2023</span>
            </div>
          </footer>
          <!-- partial -->

            {{-- End Footer --}}
            
            </div>
        <!-- main-panel ends -->

       </div>
      <!-- page-body-wrapper ends -->


</div>
    <!-- container-scroller -->
   <!-- JavaScript files-->

 <!-- plugins:js -->
    <script src="{{asset('assets/vendors/js/vendor.bundle.base.js')}}"></script>
    <!-- endinject -->
    <!-- Plugin js for this page -->
    <script src="{{asset('assets/vendors/chart.js/Chart.min.js')}}"></script>
    <script src="{{asset('assets/js/jquery.cookie.js')}}" type="text/javascript"></script>
    <!-- End plugin js for this page -->
    <!-- inject:js -->
    <script src="{{asset('assets/js/off-canvas.js')}}"></script>
    <script src="{{asset('assets/js/hoverable-collapse.js')}}"></script>
    <script src="{{asset('assets/js/misc.js')}}"></script>
    <!-- endinject -->
    <!-- Custom js for this page -->
    <script src="{{asset('assets/js/dashboard.js')}}"></script>
    <script src="{{asset('assets/js/todolist.js')}}"></script>
    
  
    <!-- End custom js for this page -->

    {{-- On Page Script --}}
    <script>
        $(window).on('load', function() {
            $('#preloader').fadeOut(1000, function() {
                $(this).remove();
            });
        });
    </script>

    {{-- Extended Templates Page Script --}}
    @yield('scripts')
</body>

</html>
