@extends('layouts.admin-user-master-layout')
@section('title', 'Purple - Affiliate Users')
@section('styles')

    <style type="text/css">
        .modal-dialog {
            max-width: 768px;
        }

        .filter-label {
            color: #db6574;
        }
        nav.d-flex.justify-items-center.justify-content-between{
            margin-top: 20px !important;
        }
        
        tbody tr td{
            white-space:inherit !important;
        }
        
        .card .card-body {
            padding: 15px;
        }
    </style>

@endsection
@section('page-heading', 'All Transactions')
@section('content')


    <div class="container-fluid">

        <div class="row px-3">

            <div class="col-md-12 col-sm-12">

                @if (Session::get('success'))
                    <div class="alert bg-gradient-success"><i class="fa fa-check"></i> {{ Session::get('success') }} </div>
                @endif
                @if (Session::get('error'))
                    <div class="alert bg-gradient-danger"><i class="fa fa-times"></i> {{ Session::get('error') }} </div>
                @endif
                <h4>Transactions</h4>
            </div>
            
            
            <div class="col-md-3 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-danger card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">USD <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-usd"></i>@isset($transaction_amount['usd']){{ $transaction_amount['usd'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              <div class="col-md-2 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-success card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">EURO <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-eur"></i>@isset($transaction_amount['eur'])
                                {{ $transaction_amount['eur'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              
              <div class="col-md-2 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-info card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">GBP <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-gbp"></i>@isset($transaction_amount['gbp'])
                                {{ $transaction_amount['gbp'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              
              <div class="col-md-3 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-warning card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">AUD <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-usd"></i>@isset($transaction_amount['aud'])
                                {{ $transaction_amount['aud'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              
               <div class="col-md-2 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-primary card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">CAD <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-usd"></i>@isset($transaction_amount['cad'])
                                {{ $transaction_amount['cad'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
            

           

        </div>
        <!---= ===== row ===== ---->

        <div class="row px-3">

            <div class="col-md-12 col-sm-12">
                <h4>Total Refund</h4>
            </div>

              <div class="col-md-3 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-danger card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">USD <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-usd"></i>@isset($refunded_amount['usd']){{ $refunded_amount['usd'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              <div class="col-md-2 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-success card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">EURO <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-eur"></i>@isset($refunded_amount['eur'])
                                {{ $refunded_amount['eur'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              
              <div class="col-md-2 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-info card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">GBP <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-gbp"></i>@isset($refunded_amount['gbp'])
                                {{ $refunded_amount['gbp'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              
              <div class="col-md-3 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-warning card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">AUD <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-usd"></i>@isset($refunded_amount['aud'])
                                {{ $refunded_amount['aud'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              
               <div class="col-md-2 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-primary card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">CAD <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-usd"></i>@isset($refunded_amount['cad'])
                                {{ $refunded_amount['cad'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>

        </div>
        <!---= ===== row ===== ---->


        <div class="col-sm-12 mb-4">
            <div class="card">

                <div class="card-body">
                    <form style="align-items: flex-end" id="transaction_filter_form" action="" method="GET"
                        class="form-sample row">
                        @csrf
                        
                        
                          <input 
                                @if (isset($_GET['trans_limit'])) value="{{ $_GET['trans_limit'] }}" @endif name="trans_limit"
                                type="hidden" class="form-control w-100 date-from">
                                
                        <div class="form-group col-sm-3">
                            <label for="inlineFormInput1" >From Date</label>
                            <input id="inlineFormInput1" autocomplete="off"
                                @if (isset($_GET['date_from'])) value="{{ $_GET['date_from'] }}" @endif name="date_from"
                                type="text" class="form-control w-100 date-from">
                        </div>

                        <div class="form-group col-sm-3">
                            <label for="inlineFormInput2" >To Date</label>
                            <input id="inlineFormInput2" autocomplete="off"
                                @if (isset($_GET['date_to'])) value="{{ $_GET['date_to'] }}" @endif name="date_to"
                                type="text" class="form-control w-100 date-to">
                        </div>
                        <div class="form-group col-sm-3">
                            <label for="inlineFormInput3" >Customer</label>
                            <input id="inlineFormInput3"
                                @if (isset($_GET['filter_customer'])) value="{{ $_GET['filter_customer'] }}" @endif
                                name="filter_customer" type="text" placeholder="Customer Name"
                                class="form-control w-100 ">
                        </div>

                        
                            <div class="form-group col-sm-3">
                                <label for="inlineFormInput4" >Filter Status</label>
                                <select id="inlineFormInput4" name="status"
                                    class=" form-control form-control-sm w-100">
                                    <option value="">Choose Status</option>
                                    
                                        <option @if (isset($_GET['status']) && $_GET['status'] == 'Completed') selected @endif
                                            value="Completed">Completed</option>
                                            <option @if (isset($_GET['status']) && $_GET['status'] == 'Refunded') selected @endif
                                            value="Refunded">Refunded</option>
                                            <option @if (isset($_GET['status']) && $_GET['status'] == 'Failed') selected @endif
                                            value="Failed">Failed</option>
                                            <option @if (isset($_GET['status']) && $_GET['status'] == 'pending') selected @endif
                                            value="pending">pending</option>
                                </select>
                            </div>

                         @if (auth()->user()->id == '1')
                            <div class="form-group col-sm-3 mt-2">
                                <label for="inlineFormInput4" >Choose User</label>
                                <select id="inlineFormInput4" name="filter_user" class="form-control-sm form-control w-100">
                                    <option value="">Choose User</option>
                                    @forelse($users as $user)
                                        <option @if (isset($_GET['filter_user']) && $_GET['filter_user'] == $user->id) selected @endif
                                            value="{{ $user->id }}">{{ $user->name }}</option>
                                    @empty
                                    @endforelse
                                </select>
                            </div>
                        @endif



                        <div class="form-group col-sm-3">
                            <label for="inlineFormInput5" ></label>
                            <input type="submit" name="submit" id="filter-submit-btn" value="Filter"
                                class="btn btn-gradient-primary">
                        </div>
                    </form>
                </div>
            </div>
        </div>


        <div class="col-sm-12">
            <div class="card ">
                <div class="card-body ">
                    <div class="row">
                    <div class="col-md-10">
                        <form style="width:200px" id="trans_limit_form" class="mb-4" action="{{ route('transaction.all') }}" method="GET" >
                        @csrf
                            <select class="form-control form-control-sm" id="trans_limit" name="trans_limit" >
                                <option @if(isset($_GET['trans_limit']) && $_GET['trans_limit'] == "10" ) selected @endif  value="10" >10</option>
                                <option @if(isset($_GET['trans_limit']) && $_GET['trans_limit'] == "20" ) selected @endif  value="20" >20</option>
                                <option @if(isset($_GET['trans_limit']) && $_GET['trans_limit'] == "50" ) selected @endif  value="50" >50</option>
                                <option @if(isset($_GET['trans_limit']) && $_GET['trans_limit'] == "100" ) selected  @endif  value="100" >100</option>
                            </select>
                            <button type="submit" class="d-none" name="submit1" id="submit1" ></button>
                        </form>
                    </div>
                    
                    <div class="col-md-2">
                        <form action="{{ route('transaction.export') }}" method="POST" >
                        @csrf
                           
                            <button type="submit" class="btn btn-gradient-primary" name="submit2"  >Export</button>
                        </form>
                    </div>
                    
                    </div>
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Customer</th>
                                <th>Email</th>
                                <th>Affiliate User</th>
                                <th>Amount</th>
                                <th>Status</th>
                                {{-- <th>IP Address</th> --}}
                                <th>Created At</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = 1; ?>
                            @forelse($transactions as $transaction)
                                <tr>
                                    <th scope="row">{{ $i }}</th>
                                    <td>{{ $transaction->firstname }} {{ $transaction->lastname }}
                                    </td>
                                    <td>{{ $transaction->email }}</td>
                                    <td>{{ $transaction->affiliate_user->name }}</td>
                                    <td class="text-uppercase"> {{ $transaction->amount }} {{ $transaction->currency }}</td>
                                    <td><span
                                            class="badge @if ($transaction->status == 'Completed') badge-success @elseif($transaction->status == 'Failed') badge-danger @else badge-warning @endif ">{{ $transaction->status }}</span>
                                    </td>
                                    {{-- <td>{{ $transaction->ip_address }}</td> --}}
                                    <td>{{ date_format($transaction->created_at, 'd-m-Y') }}</td>
                                    <td>
                                        @if ($transaction->status == 'Completed')
                                            <form class="mb-2" action="{{ route('transaction.refund') }}"
                                                onsubmit="return confirm('Are you sure you want to refund this payment? This cannot be reverted')"
                                                method="POST">@csrf
                                                <input type="hidden" name="transaction_id"
                                                    value="{{ $transaction->id }}">
                                                <button type="submit" class="btn btn-inverse-primary btn-rounded btn-icon"><i
                                                        class="mdi mdi-replay"></i></button>
                                            </form>
                                        @endif
                                        <button data-id="{{ $transaction->id }}"
                                            class="btn btn-inverse-primary btn-rounded btn-icon transaction-detail-btn"><i class="mdi mdi-eye"></i></button>
                                    </td>

                                    {{-- data-toggle="modal" data-target="#transModalCenter" --}}
                                </tr>
                                <?php $i++; ?>
                            @empty
                                <tr>
                                    <td colspan="10" class="text-center">No Transaction Found</td>
                                </tr>
                            @endforelse




                        </tbody>
                    </table>
                    {{ $transactions->links('vendor.pagination.bootstrap-5') }}
                </div>
            </div>
        </div>

    </div>
    <!--- ==== container-fluid ==== --->

    <!--- =========== Detail modal ===================----->
    <!-- Modal -->
    <div class="modal fade bd-example-modal-lg" id="transModalCenter" tabindex="-1" role="dialog"
        aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog " role="document">
            <div class="modal-content card">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Transaction Detail</h5>
                    <button type="button" class="close m-close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <form>
                    <div class="modal-body card-body">

                        <div class="table-responsive">
                            <table class="table">
                                <tbody id="transaction_detail_container">

                                </tbody>

                            </table>
                        </div>


                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-gradient-primary m-close" data-dismiss="modal">Close</button>
                    </div>
                </form>

            </div>
        </div>
    </div>

@endsection
@section('scripts')

 <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

    <script>
        $("#trans_limit").on("change",function(){
              
              $("#trans_limit_form").submit();
               
           });
        $(document).ready(function() {
            
            $('.m-close').click(function(){
                
                $("#transModalCenter").modal("hide");
                
            });

           $("#inlineFormInput1").datepicker({
              dateFormat: "yy-mm-dd"
            });
            
            $("#inlineFormInput2").datepicker({
              dateFormat: "yy-mm-dd"
            });

            //transaction ajax request
            $(".transaction-detail-btn").on("click", function() {

                var transaction_id = $(this).data('id');

                $.ajax({

                    type: "POST",
                    url: "{{ route('transction.detail') }}",
                    data: {
                        "_token": "{{ csrf_token() }}",
                        "transaction_id": transaction_id
                    },
                    success: function(data) {

                        if (data.length > 0) {
                            $("#transaction_detail_container").html('');
                            $("#transaction_detail_container").prepend(data);
                            $("#transModalCenter").modal("show");

                        }

                    }

                });

            });
            //End transaction ajax request

            

            //Filter Validation

            $(".date-from").on("change", function() {
                if ($(this).length > 0) {
                    $(".date-to").attr('required', "")
                } else {
                    $(".date-to").removeAttr('required')
                }
            });
            $(".date-to").on("change", function() {
                if ($(this).length > 0) {
                    $(".date-from").attr('required', "")
                } else {
                    $(".date-from").removeAttr('required')
                }
            });

            $("#filter-submit-btn").on('click', function(e) {

                if ($(".date-from").length < 0 || $(".date-from").length < 0) {

                }



            });

        });
    </script>
@endsection
