@extends('layouts.admin-user-master-layout')
@section('title', 'Purple - Affiliate Users')
@section('styles')

    <style type="text/css">
        .modal-dialog {
            max-width: 768px;
        }
        .alert{
            color:white;
            margin-top:20px;
        }
    </style>

@endsection
@section('page-heading', 'Affiliate Users')
@section('content')
    
    <div class="container-fluid d-flex justify-content-between">
        
       <div style="float:right;margin-bottom:20px;">
           
            <a href="{{route('affiliate_user.promo_group.index')}}" class="btn btn-gradient-primary btn-icon-text">
                <i class="mdi mdi-google-circles-group"></i> Promo Group</a>
                
                <a href="javascript:" onclick="$('.add-card').addClass('d-block');$('.add-card').removeClass('d-none');" class="btn btn-gradient-primary btn-icon-text">
                <i class="mdi mdi-account-plus"></i> Add
                User</a>
                

        </div>

    </div>
    
    
    
     <!--- =========== new user modal ===================----->
    <!-- Modal -->
    <div class="card mt-4 mb-4 add-card d-none" >
        <div class="card-body" >
           
                <div class="row">
                    <div class="col-sm-11">
                    <h5 class="card-title" >Add Affiliate User</h5>
                    </div>
                    <div class="col-sm-1">
                    <button type="button" class="close btn btn-inverse-danger btn-icon" onclick="$('.add-card').removeClass('d-block');$('.add-card').addClass('d-none');" ><i class="mdi mdi-close-box"></i></span>
                    </button>
                    </div>
                </div>

                <form action="{{ route('affiliate_user.save') }}" class="form-sample" method="POST" >
                    @csrf
                   

                        <div class="row">

                            <div class="form-group col-sm-6">
                                <label class="form-control-label">First Name</label>
                                <input type="text" name="firstname" value="{{ old('firstname') }}" placeholder="First Name" class="form-control" required>
                            </div>
                            <div class="form-group col-sm-6">
                                <label class="form-control-label">Last Name</label>
                                <input type="text" name="lastname" value="{{ old('lastname') }}" placeholder="Last Name" class="form-control" required>
                            </div>

                            <div class="form-group col-sm-6">
                                <label class="form-control-label">Email</label>
                                <input type="email" name="email" value="{{ old('email') }}" placeholder="Email Address" class="form-control" required>
                                @error('email')<span class="text-danger" >{{ $message }}</span>@enderror
                            </div>

                            <div class="form-group col-sm-6">
                                <label class="form-control-label">Password</label>
                                <input type="text" value="{{ old('password') }}" name="password" placeholder="Password" class="form-control" required>
                                @error('password')<span class="text-danger" >{{ $message }}</span>@enderror
                            </div>

                            <div class="form-group col-sm-6">
                                <label class="form-control-label">Promo Group</label>
                                <select class=" form-control form-control-sm" name="promo_group" required>
                                    <option value="">Select Group</option>
                                    @forelse($promo_groups as $promo_group)
                                    <option value="{{ $promo_group->id }}">{{ $promo_group->name }}</option>
                                    @empty
                                    <option value="">No Group</option>
                                    @endforelse
                                </select>
                            </div>


                        </div>
                        <!--- ===== row ==== --->

                    
                        
                        <button type="submit" class="btn bg-gradient-primary">Save changes</button>
                   
                </form>

        </div>
    </div>
    
    
    
    

    <div class="container-fluid">
        
        <div class="col-sm-12">
            
            
            @if (Session::get('success'))
                <div class="alert bg-success"><i class="fa fa-check"></i> {{ Session::get('success') }} </div>       
                @endif
                @if (Session::get('error'))
                <div class="alert bg-danger"><i class="fa fa-times"></i> {{ Session::get('error') }} </div>
                @endif
                
                
            <div class="card ">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>First Name</th>
                                <th>Affiliate Link</th>
                                <th>Email</th>
                                <th>Promo Group</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = 1; ?>
                            @forelse($affiliate_users as $user )
                            <tr>
                                <th scope="row">{{ $i++ }}</th>
                                <td>{{ $user->firstname }} {{ $user->lastname }}</td>
                                <td style="position: relative" >
                                <a  href="{{ route('front.index',$user->id) }}" >Click to pay  </a> /
                                <abbr class="copy_clipboard" style="vertical-align: middle;margin-left:5px" title="Copy link To Clipboard" >
                                <i class="mdi mdi-content-copy"></i>
                                </abbr>
                                <span class="copied-status invisible"  >Copied Successfully</span>  
                                </td>
                                <td>{{ $user->email }}</td>
                                <td>@if(!empty($user->get_promo_group->name)){{ $user->get_promo_group->name }}@endif</td>
                                <td class="d-flex" >
                                    
                                    
                                    
                                    <a href="{{ route('affiliate_user.edit',$user->id) }}" class="">
                                         <button type="submit" class="btn btn-gradient-primary btn-rounded btn-icon">
                                        <i class="mdi mdi-lead-pencil">
                                            
                                        </i>
                                        </button>
                                        </a>
                                    
                                    <form onsubmit="return confirm('Are You Sure? This Action cannot be reverted.')" action="{{ route('affiliate_user.delete') }}" method="POST"  >
                                        @csrf 
                                        @method('DELETE')
                                        <input type="hidden" name="user_id" value="{{ $user->id }}" >
                                        
                                        <button type="submit" class="btn btn-gradient-danger btn-rounded btn-icon">
                                        <i class="mdi mdi-delete-forever"></i>
                                      </button>
                                      
                                    </form>
                                </td>
                            </tr>
                            @empty
                            <tr>
                                
                                <td colspan="8" class="text-center">No User Found</td>
                                
                            </tr>
                            @endforelse
                            

                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
    
    <!--- ==== container-fluid ==== --->

   

@endsection
@section('scripts')

<script>
        //Validation Error
        @if(count($errors) > 0)

        $('#userModalCenter').modal('show');

        @endif

        //Copy Link To clipboard
        $(".copy_clipboard").on("click",function(){
            
           var link = $(this).parent().find('a').attr('href');
           navigator.clipboard.writeText(link);
           $(this).parent().find('.copied-status').removeClass('invisible');
           setTimeout(() => {
            $(".copied-status").addClass('invisible');
           }, 1500);
           
        
        });
        
</script>

@endsection
