@extends('layouts.front-master-layout')
@section('title','Purple - Login')
@section('styles')

<style>
#login-btn{
    background-color: #DB6574;
    border-color: #DB6574;
    font-weight: 400;
    border: 1px solid transparent;
    padding: 0.45rem 0.75rem;
    font-size: 1rem;
    color: white;
    line-height: 1.5;
    border-radius: 0.25rem;
}

/************ override css ***************/
input.input-material ~ label.active{
    top: -18px;
}

</style>

@endsection
@section('body-bg-color') #f1f1f1 @endsection
@section('content')
<div class="content-wrapper d-flex align-items-center auth">
          <div class="row flex-grow">
            <div class="col-lg-4 mx-auto">
              <div class="auth-form-light text-left p-5">
                <div class="brand-logo">
                  <img src="{{asset('assets/images/logo.svg')}}">
                </div>
                <h4>Hello! let's get started</h4>
                <h6 class="font-weight-light">Sign in to continue.</h6>
                <form class="pt-3" method="post" action="{{ route('login') }}" class="form-validate">
                     @csrf
                  <div class="form-group">
                    <input type="email" class="form-control form-control-lg" id="login-username" autocomplete="off" value="{{ old('email') }}" name="email" 
                      required data-msg="Please enter your username" placeholder="Username">
                     @error('email')<div id="confirm-password-error" class="is-invalid invalid-feedback" style="display: block;">{{ $message }}</div>@enderror
                    
                  </div>
                  <div class="form-group">
                    <input class="form-control form-control-lg" id="login-password"
                       autocomplete="off" type="password" name="password" required data-msg="Please enter your password" placeholder="Password">
                       
                        @error('password')
                      <div id="confirm-password-error" class="is-invalid invalid-feedback" style="display: block;">{{ $message }}</div>@enderror
                     
                     
                  </div>
                  <div class="mt-3">
                    <button class="btn btn-block btn-gradient-primary btn-lg font-weight-medium auth-form-btn" type="submit">SIGN IN</button>
                  </div>
                  <div class="my-2 d-flex justify-content-between align-items-center">
                    <div class="form-check">
                      <label class="form-check-label text-muted">
                        <input type="checkbox"  name="remember" id="remember" {{ old('remember') ? 'checked' : '' }} class="form-check-input"> Keep me signed in </label>
                    </div>
                    <a href="{{ route('password.request') }}" class="auth-link text-black">Forgot password?</a>
                  </div>
                  
                  
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- content-wrapper ends -->
@endsection
